class PageHistoryDocumentation

This file provides property and method documentation for the model PageHistory.

This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.

Add @mixin \XELOS\Modules\SmartWiki\Docs\ClassGenerated\Model\PageHistoryDocumentation to the model to get access to the properties.

Properties

int $id
int $group_id
int $page_id
int $version_id
string $title:

stored in MySQL as varchar

string $content_plain:

stored in MySQL as longtext

string $content_html:

stored in MySQL as longtext

string $change_log:

stored in MySQL as varchar

int $created_user_id
bool $was_active:

stored in MySQL as tinyint

int $created_at:

stored in MySQL as timestamp

Methods

PageHistory[]
all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

int
count_all(mixed $sql_params)

Returns the count

int
delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

PageHistory[]
find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Details

at line 34
PageHistory[] all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

Parameters

mixed $sql_params

Return Value

PageHistory[]

at line 34
int count_all(mixed $sql_params)

Returns the count

Parameters

mixed $sql_params

Return Value

int

at line 34
int delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Parameters

int $id
mixed $sql_params

Return Value

int

at line 34
PageHistory[] find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

PageHistory[]

at line 34
PageHistory find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

PageHistory